Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.framework.service
Interface SecurityService

All Superinterfaces:
  Service

    public interface SecurityService

extends Service

Field Summary
`static short` | `PRINCIPAL_APP_PROVIDER`
`static short` | `PRINCIPAL_CARD_ISSUER`
`static short` | `PRINCIPAL_CARDHOLDER`
`static byte` | `PROPERTY_INPUT_CONFIDENTIALITY`
`static byte` | `PROPERTY_INPUT_INTEGRITY`
`static byte` | `PROPERTY_OUTPUT_CONFIDENTIALITY`
`static byte` | `PROPERTY_OUTPUT_INTEGRITY`

Method Summary
`boolean` | `isAuthenticated(short principal)`
`boolean` | `isChannelSecure(byte properties)`
`boolean` | `isCommandSecure(byte properties)`

Methods inherited from interface javacard.framework.service.Service
`processCommand, processDataIn, processDataOut`

Field Detail

### PRINCIPAL_APP_PROVIDER

    static final short PRINCIPAL_APP_PROVIDER

See Also:
  Constant Field Values

### PRINCIPAL_CARD_ISSUER

    static final short PRINCIPAL_CARD_ISSUER

See Also:
  Constant Field Values

### PRINCIPAL_CARDHOLDER

    static final short PRINCIPAL_CARDHOLDER

See Also:
  Constant Field Values

### PROPERTY_INPUT_CONFIDENTIALITY

    static final byte PROPERTY_INPUT_CONFIDENTIALITY

See Also:
  Constant Field Values

### PROPERTY_INPUT_INTEGRITY

    static final byte PROPERTY_INPUT_INTEGRITY

See Also:
  Constant Field Values

### PROPERTY_OUTPUT_CONFIDENTIALITY

    static final byte PROPERTY_OUTPUT_CONFIDENTIALITY

See Also:
  Constant Field Values

### PROPERTY_OUTPUT_INTEGRITY

    static final byte PROPERTY_OUTPUT_INTEGRITY

See Also:
  Constant Field Values

Method Detail

### isAuthenticated

    boolean isAuthenticated(short principal)
                            throws ServiceException

  Throws:
    `ServiceException`

### isChannelSecure

    boolean isChannelSecure(byte properties)
                            throws ServiceException

  Throws:
    `ServiceException`

### isCommandSecure

    boolean isCommandSecure(byte properties)
                            throws ServiceException

  Throws:
    `ServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD